CREATE TABLE irc_tc_req_config (
    TC_REQ_CONFIG_ID         NUMBER(18, 0),
    REQUISITION_ID           NUMBER(18, 0)    NOT NULL,
    PROVISIONING_ID          NUMBER(18, 0)    NOT NULL,
    ACCOUNT_USERNAME         VARCHAR2(400)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TC_REQ_CONFIG_ID         NUMBER(18, 0),
    REQUISITION_ID           NUMBER(18, 0)    NOT NULL,
    PROVISIONING_ID          NUMBER(18, 0)    NOT NULL,
    ACCOUNT_USERNAME         VARCHAR2(400)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_tc_req_config PRIMARY KEY (TC_REQ_CONFIG_ID, TC_REQ_CONFIG_ID)
);
